Call the Payments API to authorize payments, capture authorized payments, refund payments that have already been captured, and show payment information. Use the Payments API in conjunction with the Orders API. For more information, see the PayPal Checkout Overview.
Shows details for an authorized payment, by ID.
A successful request returns the HTTP 200 OK status code and a JSON response body that shows authorization details.
Unauthorized.
Forbidden.
Not Found.
Internal Server Error.
Default response.
Shows details for an authorized payment, by ID.
{- "id": "0VF52814937998046",
- "status": "CREATED",
- "amount": {
- "value": "10.99",
- "currency_code": "USD"
}, - "invoice_id": "INVOICE-123",
- "seller_protection": {
- "status": "ELIGIBLE",
- "dispute_categories": [
- "ITEM_NOT_RECEIVED",
- "UNAUTHORIZED_TRANSACTION"
]
}, - "expiration_time": "2017-10-10T23:23:45Z",
- "create_time": "2017-09-11T23:23:45Z",
- "update_time": "2017-09-11T23:23:45Z",
- "links": [
- {
- "rel": "self",
- "method": "GET",
}, - {
- "rel": "capture",
- "method": "POST",
}, - {
- "rel": "void",
- "method": "POST",
}, - {
- "rel": "reauthorize",
- "method": "POST",
}
]
}Captures an authorized payment, by ID.
| invoice_id | string [ 0 .. 127 ] characters ^[\S\s]*$ The API caller-provided external invoice number for this order. Appears in both the payer's transaction history and the emails that the payer receives. |
| note_to_payer | string [ 0 .. 255 ] characters ^[\S\s]*$ An informational note about this settlement. Appears in both the payer's transaction history and the emails that the payer receives. |
object (amount_with_breakdown) The total order amount with an optional breakdown that provides details, such as the total item amount, total tax amount, shipping, handling, insurance, and discounts, if any. | |
| final_capture | boolean Default: false Indicates whether you can make additional captures against the authorized payment. Set to |
object (payment_instruction) Any additional payment instructions to be consider during payment processing. This processing instruction is applicable for Capturing an order or Authorizing an Order. | |
| soft_descriptor | string [ 0 .. 22 ] characters ^[\S\s]*$ The payment descriptor on the payer's account statement. |
A successful request returns the HTTP 200 OK status code and a JSON response body that shows captured payment details.
A successful request returns the HTTP 201 Created status code and a JSON response body that shows captured payment details.
The request failed because it is not well-formed or is syntactically incorrect or violates schema.
Unauthorized.
Forbidden.
Not Found.
The server has detected a conflict while processing this request.
The request failed because it is semantically incorrect or failed business validation.
Internal Server Error.
Default response.
Captures an authorized payment, by ID.
{- "amount": {
- "value": "10.99",
- "currency_code": "USD"
}, - "invoice_id": "INVOICE-123",
- "final_capture": true,
- "note_to_payer": "If the ordered color is not available, we will substitute with a different color free of charge.",
- "soft_descriptor": "Bob's Custom Sweaters"
}Captures an authorized payment, by ID.
{- "id": "23T524207X938445J",
- "amount": {
- "currency_code": "USD",
- "value": "100.00"
}, - "final_capture": false,
- "seller_protection": {
- "status": "ELIGIBLE",
- "dispute_categories": [
- "ITEM_NOT_RECEIVED",
- "UNAUTHORIZED_TRANSACTION"
]
}, - "seller_receivable_breakdown": {
- "gross_amount": {
- "currency_code": "USD",
- "value": "1.00"
}, - "paypal_fee": {
- "currency_code": "USD",
- "value": "0.52"
}, - "net_amount": {
- "currency_code": "USD",
- "value": "0.48"
}, - "exchange_rate": { }
}, - "invoice_id": "OrderInvoice-10_10_2024_12_58_20_pm",
- "status": "COMPLETED",
- "create_time": "2024-10-14T21:29:26Z",
- "update_time": "2024-10-14T21:29:26Z",
- "links": [
- {
- "rel": "self",
- "method": "GET"
}, - {
- "rel": "refund",
- "method": "POST"
}, - {
- "rel": "up",
- "method": "GET"
}
]
}Reauthorizes an authorized PayPal account payment, by ID. To ensure that funds are still available, reauthorize a payment after its initial three-day honor period expires. Within the 29-day authorization period, you can issue multiple re-authorizations after the honor period expires.
If 30 days have transpired since the date of the original authorization, you must create an authorized payment instead of reauthorizing the original authorized payment.
A reauthorized payment itself has a new honor period of three days.
You can reauthorize an authorized payment from 4 to 29 days after the 3-day honor period. The allowed amount depends on context and geography, for example in US it is up to 115% of the original authorized amount, not to exceed an increase of $75 USD.
Supports only the amount request parameter.
object (Money) The currency and amount for a financial transaction, such as a balance or payment due. |
A successful request returns the HTTP 200 OK status code and a JSON response body that shows the reauthorized payment details.
A successful request returns the HTTP 201 Created status code and a JSON response body that shows the reauthorized payment details.
The request failed because it is not well-formed or is syntactically incorrect or violates schema.
Unauthorized.
Forbidden.
Not Found.
The request failed because it either is semantically incorrect or failed business validation.
Internal Server Error.
Default response.
Reauthorizes an authorized payment, by ID. The honor period for the authorized payment has expired.
{- "amount": {
- "value": "10.99",
- "currency_code": "USD"
}
}Reauthorizes an authorized payment, by ID. The honor period for the authorized payment has expired.
{- "id": "8AA831015G517922L",
- "status": "CREATED",
- "links": [
- {
- "rel": "self",
- "method": "GET",
}, - {
- "rel": "capture",
- "method": "POST",
}, - {
- "rel": "void",
- "method": "POST",
}, - {
- "rel": "reauthorize",
- "method": "POST",
}
]
}Voids, or cancels, an authorized payment, by ID. You cannot void an authorized payment that has been fully captured.
A successful request returns the HTTP 200 OK status code and a JSON response body that shows authorization details. This response is returned when the Prefer header is set to return=representation.
No Content.
Unauthorized.
Forbidden.
Not Found.
The request failed because a previous call for the given resource is in progress.
The request failed because it either is semantically incorrect or failed business validation.
Internal Server Error.
Default response.
Voids an authorized PayPal account payment, by ID. You cannot void an authorized payment that has been fully captured.
{- "id": "5C908745JK343851U",
- "status": "VOIDED",
- "amount": {
- "currency_code": "USD",
- "value": "100.00"
}, - "invoice_id": "OrderInvoice-10_10_2024_12_06_00_pm",
- "seller_protection": {
- "status": "ELIGIBLE",
- "dispute_categories": [
- "ITEM_NOT_RECEIVED",
- "UNAUTHORIZED_TRANSACTION"
]
}, - "expiration_time": "2024-11-08T09:06:03-08:00",
- "create_time": "2024-10-10T10:06:03-07:00",
- "update_time": "2024-10-10T10:06:19-07:00",
- "links": [
- {
- "rel": "self",
- "method": "GET"
}
]
}Shows details for a captured payment, by ID.
A successful request returns the HTTP 200 OK status code and a JSON response body that shows captured payment details.
Unauthorized.
Forbidden.
Not Found.
Internal Server Error.
Default response.
Shows details for a captured payment, by ID.
{- "id": "74L756601X447022Y",
- "amount": {
- "currency_code": "USD",
- "value": "100.00"
}, - "final_capture": true,
- "seller_protection": {
- "status": "ELIGIBLE",
- "dispute_categories": [
- "ITEM_NOT_RECEIVED",
- "UNAUTHORIZED_TRANSACTION"
]
}, - "seller_receivable_breakdown": {
- "gross_amount": {
- "currency_code": "USD",
- "value": "100.00"
}, - "paypal_fee": {
- "currency_code": "USD",
- "value": "3.98"
}, - "net_amount": {
- "currency_code": "USD",
- "value": "96.02"
}
}, - "invoice_id": "OrderInvoice-23_10_2024_12_27_32_pm",
- "status": "COMPLETED",
- "supplementary_data": {
- "related_ids": {
- "order_id": "25M43554V9523650M",
- "authorization_id": "0T620041CK889853A"
}
}, - "create_time": "2024-10-23T20:55:19Z",
- "update_time": "2024-10-23T20:55:19Z",
- "links": [
- {
- "rel": "self",
- "method": "GET"
}, - {
- "rel": "refund",
- "method": "POST"
}, - {
- "rel": "up",
- "method": "GET"
}
]
}Refunds a captured payment, by ID. For a full refund, include an empty payload in the JSON request body. For a partial refund, include an amount object in the JSON request body.
A successful request returns the HTTP 200 OK status code and a JSON response body that shows refund details.
A successful request returns the HTTP 201 Created status code and a JSON response body that shows refund details.
The request failed because it is not well-formed or is syntactically incorrect or violates schema.
Unauthorized.
Forbidden.
Not Found.
The request failed because a previous call for the given resource is in progress.
The request failed because it either is semantically incorrect or failed business validation.
Internal Server Error.
Default response.
Refunds a captured payment, by ID. For a full refund, include an empty payload in the request body. For a partial refund, include an amount object.
{- "amount": {
- "value": "1.00",
- "currency_code": "USD"
}, - "invoice_id": "RefundInvoice-123",
- "custom_id": "RefundCustom-123"
}Refunds a captured payment, by ID. For a full refund, include an empty payload in the request body. For a partial refund, include an amount object.
{- "id": "0K35355239430361V",
- "amount": {
- "currency_code": "USD",
- "value": "1.00"
}, - "seller_payable_breakdown": {
- "gross_amount": {
- "currency_code": "USD",
- "value": "1.00"
}, - "paypal_fee": {
- "currency_code": "USD",
- "value": "0.00"
}, - "net_amount": {
- "currency_code": "USD",
- "value": "1.00"
}, - "total_refunded_amount": {
- "currency_code": "USD",
- "value": "11.00"
}
}, - "invoice_id": "RefundInvoice-14_10_2024_4_58_32_pm",
- "custom_id": "RefundCustom-14_10_2024_4_58_32_pm",
- "status": "COMPLETED",
- "create_time": "2024-10-14T14:58:34-07:00",
- "update_time": "2024-10-14T14:58:34-07:00",
- "links": [
- {
- "rel": "self",
- "method": "GET"
}, - {
- "rel": "up",
- "method": "GET"
}
]
}Get a list of eligible payment methods based on the input parameters provided.
object (Customer) Customer who is making a purchase from the merchant/partner. | |
Array of objects (eligibility_purchase_unit_request) [ 1 .. 10 ] items Array of purchase units. | |
object (Preferences) Preferences of merchant/partner consuming the API. |
A successful request returns the HTTP 200 OK status code and a JSON response body that provides list of eligibile payments.
The request failed because it is not well-formed or is syntactically incorrect or violates schema.
Unauthorized.
Forbidden.
The request failed because it either is semantically incorrect or failed business validation.
Internal Server Error.
Default response.
Eligible Payment Methods - Exclude listed payment methods
{- "customer": {
- "country_code": "US",
- "channel": {
- "browser_type": "SAFARI",
- "device_type": "MOBILE",
- "client_os": "IOS"
}
}, - "purchase_units": [
- {
- "amount": {
- "currency_code": "USD",
- "value": "100.00"
}
}
], - "preferences": {
- "payment_source_constraint": {
- "constraint_type": "EXCLUDE",
- "payment_sources": [
- "PAYPAL"
]
}
}
}Eligible Payment Methods - Exclude listed payment methods
{- "eligible_methods": {
- "venmo": {
- "can_be_vaulted": true
}
}
}Shows details for a refund, by ID.
A successful request returns the HTTP 200 OK status code and a JSON response body that shows refund details.
Unauthorized.
Forbidden.
Not Found.
Internal Server Error.
Default response.
Shows details for a refund, by ID, with platform fees.
{- "id": "1JU08902781691411",
- "amount": {
- "value": "10.99",
- "currency_code": "USD"
}, - "status": "COMPLETED",
- "note": "Defective product",
- "seller_payable_breakdown": {
- "gross_amount": {
- "value": "10.99",
- "currency_code": "USD"
}, - "paypal_fee": {
- "value": "0.33",
- "currency_code": "USD"
}, - "platform_fees": [
- {
- "amount": {
- "currency_code": "USD",
- "value": "1.00"
},
}
], - "net_amount": {
- "value": "9.66",
- "currency_code": "USD"
}, - "total_refunded_amount": {
- "value": "10.99",
- "currency_code": "USD"
}
}, - "invoice_id": "INVOICE-123",
- "create_time": "2018-09-11T23:24:19Z",
- "update_time": "2018-09-11T23:24:19Z",
- "links": [
- {
- "rel": "self",
- "method": "GET",
}, - {
- "rel": "up",
- "method": "GET",
}
]
}Message:
Currency of capture must be the same as currency of authorization.
Description:
Verify the currency of the capture and try the request again.
Message:
The currency specified during reauthorization should be the same as the currency specified in the original authorization. Please check the currency of the authorization for which you are trying to reauthorize and try again.
Message:
Authentication failed due to missing authorization header, or invalid authentication credentials.
Description:
Account validations failed for the user.
Message:
Authorization has already been captured.
Description:
If final_capture is set to to true, additional captures are not possible against the authorization.
Description: Authorization amount specified exceeded allowable limit. Specify a different amount and try the request again. Alternately, contact Customer Support to increase your limits. Local regulations (e.g. in PSD2 countries) prohibit overages above the amount authorized by the payer.
Message:
A denied authorization cannot be captured.
Description:
You cannot capture a denied authorization.
Message:
An expired authorization cannot be captured.
Description:
You cannot capture an expired authorization.
Message:
A voided authorization cannot be captured or reauthorized.
Description:
You cannot capture or reauthorize a voided authorization.
Message:
A reauthorization cannot be voided. Please void the original parent authorization.
Description:
You cannot void a reauthorized payment. You must void the original parent authorized payment.
Message:
Must be greater than zero. If the currency supports decimals, only two decimal place precision is supported.
Description:
Specify a different value and try the request again.
Message:
The capture has already been fully refunded.
Description:
You cannot capture additional refunds against this capture.
Description: Specified country is not currently supported for payment processing.
Description: Refund cannot be issued to this card. The card brand card_brand is not supported. Please try again with another card.
Description: Card is issued by a financial institution for a country (e.g. Cuba, Iran, North Korea, Syria) that is not current supported for payment processing.
Description: Processing of this card type is not supported. Use another type of card.
Message:
All amounts specified should be in the same currency. Please ensure that the currency for the 'amount' and that of 'platform_fees.amount' is the same.
Description: Currency not supported for card specified. Card is card_brand. Only currency_code is supported for this brand of card.
Description: Currency code not supported for direct card payments using this card type. See Currency codes for list of supported currency codes.
Description: Currency code not supported for card payments in your country.
Message:
The value of the field should not be more than two decimal places.
Description:
If the currency supports decimals, only two decimal place precision is supported.
Message:
Currency does not support decimals.
Description:
Currency does not support decimals. Please refer to https://developer.paypal.com/docs/api/reference/currency-codes/ for more information.
Message:
The API Caller is not enabled to process transactions by specifying disbursement mode as delayed.
Description:
Verify the API caller is enabled to process transaction with delayed disbursement.
Message:
Requested invoice number has been previously captured. Possible duplicate transaction.
Description:
Payment for this invoice was already captured.
Description: Requested invoice_id has been previously refunded. Possible duplicate transaction.
Description: The FX rate associated with the specified FX rate ID has been changed due to market events. Please refer to the provided new_fx_id link to retrieve a new FX rate ID and try the request again.
Description: The instrument presented was either declined by the processor or bank, or it can't be used for this payment.
Message:
An internal server error has occurred.
Description:
Try your request again later.
Message:
Account validations failed for the user.
Description:
The user account could not be validated.
Message:
Request is not well-formed, syntactically incorrect, or violates schema.
Description:
The number of items in an array parameter is too small or too large.
Message:
The requested action could not be performed, semantically incorrect, or failed business validation.
Description:
Country code is invalid. Please refer to https://developer.paypal.com/docs/integration/direct/rest/country-codes/ for a list of supported country codes.
Message:
Currency code should be a three-character ISO-4217 currency code.
Description:
Currency code is invalid or is not currently supported. Please refer https://developer.paypal.com/docs/api/reference/currency-codes/ for list of supported currency codes.
Message:
Specified invoice_id does not exist.
Description:
Please check the invoice_id and try again.
Message:
The value of the field does not conform to the expected format.
Description:
Verify the specification for supported pattern and try the request again.
Message:
The value of a field is invalid.
Description:
Verify the specification for the allowed values and try the request again.
Message:
Payee account is invalid.
Description:
Verify the payee account information and try the request again.
Message:
The specified platform_fees payee account is either invalid or account setup is incomplete. Please work with your PayPal Account Manager to enable this option for your account.
Description:
Verify the platform fee account set up is completed or correct account.
Message:
The platform_fees amount cannot be greater than the capture amount.
Description:
Verify the platform_fees amount and try the request again.
Message:
Specified resource ID does not exist. Please check the resource ID and try again.
Description:
Verify the resource ID and try the request again.
Description: The security_code length is invalid for the specified card brand.
Message:
The value of a field is either too short or too long.
Description:
Verify the specification for the supported min and max values and try the request again.
Message:
The value of a field is too long.
Description:
The parameter string is too long.
Message:
The merchant's KYC status is incomplete.
Description: The payment was pending due to the merchant's incomplete KYC status.
Message:
Request is not well-formed, syntactically incorrect, or violates schema.
Description: The request JSON is not well formed.
Message:
Capture amount exceeds allowable limit. Please contact customer service or your account manager to request the change to your overage limit. The default overage limit is 115%, which allows the sum of all captures to be up to 115% of the order amount. Local regulations (e.g. in PSD2 countries) prohibit overages above the amount authorized by the payer.
Description:
Specify a different amount and try the request again. Alternately, contact Customer Support to increase your limits.
Message:
Maximum number of allowable captures has been reached. No additional captures are possible for this authorization. Please contact customer service or your account manager to change the number of captures that be made for a given authorization.
Description:
You cannot make additional captures.
Message:
You have exceeded the number of refunds that can be processed per capture.
Description:
Please contact customer support or your account manager to review the number of refunds that can be processed per capture.
Description: Refund amount exceeds the allowed cumulative limit that the payee can receive.
Description: Refund amount exceeds the allowed cumulative limit that the payer can refund.
Description: Refund amount exceeds allowable limit. Specify a different amount and try the request again. Alternately, contact Customer Support to increase your limits.
Message:
A required field / parameter is missing.
Description:
Verify the specification for required fields and try the request again.
Message:
The requested action could not be performed, semantically incorrect, or failed business validation.
Description:
Multiple differing values of currency_code are not supported. Entire request must have the same currency_code.
Message:
Cannot void multiple authorizations.
Description:
Specified invoice_id is associated with more than one authorization.
Message:
You do not have permission to access or perform operations on this resource.
Description:
To make API calls on behalf of a merchant, ensure that you have sufficient permissions to proceed with this transaction.
Message:
You cannot do a refund for an amount less than the original capture amount.
Description:
Specify an amount equal to the capture amount or omit the amount object from the request. Then, try the request again.
Message:
The requested action could not be performed, semantically incorrect, or failed business validation.
Description:
Payee account specified is invalid. Please check the payee.merchant_id specified and try again.
Message:
Transaction could not complete because payee account is locked or closed.
Description:
To get more information about the status of the account, call Customer Support.
Message:
Payee account is restricted.
Description:
To get more information about the status of the account, call Customer Support.
Description: The specified FX Rate ID is for a currency that does not match with the currency of this request.
Description: Payee does not have appropriate consent to allow the API caller to process this type of transaction on their behalf. Your current setup requires the 'payee' to provide a consent before this transaction can be processed successfully.
Description: Refund amount exceeds per transaction limit that the payee can receive.
Message:
The payer account cannot be used for this transaction.
Description:
Contact the payer for an alternate payment method.
Message:
Payer account is restricted.
Description:
To get more information about the status of the account, call Customer Support.
Message:
Payer cannot pay for this transaction.
Description:
Please contact the payer to find other ways to pay for this transaction.
Description: Refund amount exceeds per transaction limit that the payer can refund.
Message:
Cannot initiate a refund as the capture is pending.
Description:
Capture is typically pending when the payer has funded the transaction by using an e-check or bank account.
Message:
You do not have permission to access or perform operations on this resource.
Description:
To make API calls on behalf of a merchant, ensure that you have sufficient permissions to proceed with this transaction.
Message:
Payee of the authorization has not granted permission to perform capture on the authorization.
Description:
To make API calls on behalf of a merchant, ensure that you have sufficient permissions to capture the authorization.
Message:
Platform fee amount specified exceeds the amount that is available for refund. You can only refund up to the available platform fee amount. This error is also returned when no platform_fee was specified or was zero when the payment was captured.
Message:
The API Caller account is not setup to be able to process refunds with 'platform_fees'. Please contact your Account Manager. This feature is useful when you want to contribute a portion of the 'platform_fees' you had capture as part of the refund being processed.
Message:
The API Caller is not enabled to process transactions by specifying 'platform_fees'. Please work with your PayPal Account Manager to enable this option for your account.
Description:
Verify the API caller is enabled to process the transaction with platform fees.
Message:
A previous request on this resource is currently in progress. Please wait for sometime and try again. It is best to space out the initial and the subsequent request(s) to avoid receiving this error.
Description:
This scenario only occurs when making multiple API requests on the same resource within a very short duration. To resolve this, API callers need to make subsequent requests with a delay.
Message:
Authorization has been previously captured and hence cannot be voided.
Description:
This authorized payment was already captured. You cannot capture it again.
Message:
Authorization has been previously voided and hence cannot be voided again.
Description:
This authorized payment was already voided. You cannot void it again.
Message:
Too many requests. Blocked due to rate limiting.
Description: The rate limit was reached.
Description: The reauthorization was declined by the processor.
Message:
A reauthorize cannot be attempted on an authorization_id that is the result of a prior reauthorization or on an authorization made on an Order saved using the v2/orders/id/save API.
Description: Reauthorization is not supported for the payment source.
Description: A reauthorization is only allowed once from Day 4 to Day 29 since the date of the original authorization.
Message:
The refund amount must be less than or equal to the capture amount that has not yet been refunded.
Description:
Verify the refund amount and try the request again.
Message:
The amount after applying currency conversion is zero and hence the capture cannot be refunded. The currency conversion is required because the currency of the capture is different than the currency in which the amount was settled into the payee account.
Description:
The amount after applying currency conversion is zero and hence the capture cannot be refunded. The currency conversion is required because the currency of the capture is different than the currency in which the amount was settled into the payee account.
Message:
Refund must be in the same currency as the capture.
Description:
Verify the currency of the refund and try the request again.
Message:
Refund was refused by the payment source.
Description:
We're unable to process refunds for the payer's selected payment source. Contact the payer directly to arrange a refund via alternative means.
Message:
Refund cannot be processed due to insufficient funds.
Description:
Capture could not be refunded due to insufficient funds. Please check to see if you have sufficient funds in your PayPal account or if the bank account linked to your PayPal account is verified and has sufficient funds.
Description: There is no valid funding instrument linked to the account from which refund can be processed.
Message:
This refund can only be processed by the API caller that had 'captured' the transaction. If you facilitate your transactions via a platform/partner, please initiate a refund through them.
Message:
The requested action could not be performed, semantically incorrect, or failed business validation.
Description:
Refunds not allowed on this capture due to a chargeback on the card or bank. Please contact the payee to resolve the chargeback.
Message:
Refund was refused by the payment source.
Description:
Refunds are not supported for the payer's selected payment source. Contact the payer directly to arrange a refund via alternative means.
Description: The funding instrument linked to the account has been declined by either the processor or PayPal internal system.
Message:
Refund was refused by the payment source.
Description:
The time limit set by the payer's selected payment source to refund this transaction has expired. Contact the payer directly to arrange a refund via alternative means.
Message:
You are over the time limit to perform a refund on this capture.
Description:
The refund cannot be issued at this time.
Description: PayPal's internal controls or user account settings prevent refund from being processed.
Message:
The provided shipping address is not allowed by buyer's residency country.
Message:
Partial refunds cannot be offered at this time because there is an open case on this transaction. Visit the PayPal Resolution Center to review this case.
Description:
Refund for an amount less than the remaining transaction amount cannot be processed at this time because of an open dispute on the capture. Please visit the PayPal Resolution Center to view the details.
Message:
PayPal's internal controls prevent authorization from being captured.
Description:
For more information about this transaction, contact customer support.
Message:
Update authorization is not allowed for this type of authorization.
The date and time stamps that are common to authorized payment, captured payment, and refund transactions.
| create_time | string (date_time) [ 20 .. 64 ] characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional. Note: The regular expression provides guidance but does not reject all invalid dates. |
| update_time | string (date_time) [ 20 .. 64 ] characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional. Note: The regular expression provides guidance but does not reject all invalid dates. |
{- "create_time": "string",
- "update_time": "string"
}Configuration details for advanced card payment methods including credit and debit card processing capabilities.
| can_be_vaulted | boolean Indicates if the payment method can be saved for future use. |
| supports_installments | boolean Indicates if installment payment option is available. |
Array of objects (Card Vendor) [ 1 .. 100 ] items Payment card vendors configuration. |
{- "can_be_vaulted": true,
- "supports_installments": true,
- "vendors": [
- {
- "network": "AMEX",
- "eligible": true,
- "can_be_vaulted": true,
- "branded": true
}
]
}The breakdown of the amount. Breakdown provides details such as total item amount, total tax amount, shipping, handling, insurance, and discounts, if any.
object (Money) The currency and amount for a financial transaction, such as a balance or payment due. | |
object (Money) The currency and amount for a financial transaction, such as a balance or payment due. | |
object (Money) The currency and amount for a financial transaction, such as a balance or payment due. | |
object (Money) The currency and amount for a financial transaction, such as a balance or payment due. | |
object (Money) The currency and amount for a financial transaction, such as a balance or payment due. | |
object (Money) The currency and amount for a financial transaction, such as a balance or payment due. | |
object (discount_with_breakdown) The discount amount and currency code. For list of supported currencies and decimal precision, see the PayPal REST APIs Currency Codes. |
{- "item_total": {
- "currency_code": "str",
- "value": "string"
}, - "shipping": {
- "currency_code": "str",
- "value": "string"
}, - "handling": {
- "currency_code": "str",
- "value": "string"
}, - "tax_total": {
- "currency_code": "str",
- "value": "string"
}, - "insurance": {
- "currency_code": "str",
- "value": "string"
}, - "shipping_discount": {
- "currency_code": "str",
- "value": "string"
}, - "discount": {
- "currency_code": "str",
- "value": "string"
}
}The total order amount with an optional breakdown that provides details, such as the total item amount, total tax amount, shipping, handling, insurance, and discounts, if any.
If you specify amount.breakdown, the amount equals item_total plus tax_total plus shipping plus handling plus insurance minus shipping_discount minus discount.
The amount must be a positive number. For listed of supported currencies and decimal precision, see the PayPal REST APIs Currency Codes.
| currency_code required | string (currency_code) = 3 characters ^[\S\s]*$ The three-character ISO-4217 currency code that identifies the currency. |
| value required | string [ 0 .. 32 ] characters ^((-?[0-9]+)|(-?([0-9]+)?[.][0-9]+))$ The value, which might be:
|
object (amount_breakdown) The breakdown of the amount. Breakdown provides details such as total item amount, total tax amount, shipping, handling, insurance, and discounts, if any. |
{- "currency_code": "str",
- "value": "string",
- "breakdown": {
- "item_total": {
- "currency_code": "str",
- "value": "string"
}, - "shipping": {
- "currency_code": "str",
- "value": "string"
}, - "handling": {
- "currency_code": "str",
- "value": "string"
}, - "tax_total": {
- "currency_code": "str",
- "value": "string"
}, - "insurance": {
- "currency_code": "str",
- "value": "string"
}, - "shipping_discount": {
- "currency_code": "str",
- "value": "string"
}, - "discount": {
- "currency_code": "str",
- "value": "string"
}
}
}Configuration details for Apple Pay payment method.
| eligible required | boolean Indicates if Apple Pay is eligible. | ||||||||||
| merchant_country required | string (country_code-2) = 2 characters ^([A-Z]{2}|C2)$ The two-character ISO 3166-1 code that identifies the country or region. Note: The country code for Great Britain is | ||||||||||
| supported_networks required | Array of strings [ 1 .. 100 ] items Supported card networks.
| ||||||||||
| merchant_capabilities required | Array of strings [ 1 .. 10 ] items An array of the payment capabilities that the merchant supports.
| ||||||||||
| token_notification_url required | string <uri> [ 10 .. 2000 ] characters Token notification url for recurring payment request. |
{- "eligible": true,
- "merchant_country": "string",
- "supported_networks": [
- "MASTERCARD"
], - "merchant_capabilities": [
- "SUPPORTS_CREDIT"
],
}The authorized payment transaction.
| status | string (Authorization Status) The status for the authorized payment.
| ||||||||||||||
object (authorization_status_details) The details of the authorized payment status. | |||||||||||||||
| id | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The PayPal-generated ID for the authorized payment. | ||||||||||||||
object (amount_with_breakdown) The total order amount with an optional breakdown that provides details, such as the total item amount, total tax amount, shipping, handling, insurance, and discounts, if any. | |||||||||||||||
| invoice_id | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The API caller-provided external invoice number for this order. Appears in both the payer's transaction history and the emails that the payer receives. | ||||||||||||||
| custom_id | string [ 0 .. 255 ] characters ^[\S\s]*$ The API caller-provided external ID. Used to reconcile API caller-initiated transactions with PayPal transactions. Appears in transaction and settlement reports. | ||||||||||||||
object (network_transaction) Reference values used by the card network to identify a transaction. | |||||||||||||||
object (seller_protection) The level of protection offered as defined by PayPal Seller Protection for Merchants. | |||||||||||||||
| expiration_time | string (date_time) [ 20 .. 64 ] characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional. Note: The regular expression provides guidance but does not reject all invalid dates. | ||||||||||||||
Array of objects (Link Description) [ 0 .. 32767 ] items An array of related HATEOAS links. | |||||||||||||||
| create_time | string (date_time) [ 20 .. 64 ] characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional. Note: The regular expression provides guidance but does not reject all invalid dates. | ||||||||||||||
| update_time | string (date_time) [ 20 .. 64 ] characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional. Note: The regular expression provides guidance but does not reject all invalid dates. |
{- "status": "CREATED",
- "status_details": {
- "reason": "PENDING_REVIEW"
}, - "id": "string",
- "amount": {
- "currency_code": "str",
- "value": "string",
- "breakdown": {
- "item_total": {
- "currency_code": "str",
- "value": "string"
}, - "shipping": {
- "currency_code": "str",
- "value": "string"
}, - "handling": {
- "currency_code": "str",
- "value": "string"
}, - "tax_total": {
- "currency_code": "str",
- "value": "string"
}, - "insurance": {
- "currency_code": "str",
- "value": "string"
}, - "shipping_discount": {
- "currency_code": "str",
- "value": "string"
}, - "discount": {
- "currency_code": "str",
- "value": "string"
}
}
}, - "invoice_id": "string",
- "custom_id": "string",
- "network_transaction_reference": {
- "id": "stringstr",
- "date": "stri",
- "network": "VISA",
- "acquirer_reference_number": "string"
}, - "seller_protection": {
- "status": "ELIGIBLE",
- "dispute_categories": [
- "ITEM_NOT_RECEIVED"
]
}, - "expiration_time": "string",
- "links": [
- {
- "href": "string",
- "rel": "string",
- "method": "GET",
- "title": "string",
- "mediaType": "string",
- "encType": "application/json",
- "schema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}, - "targetSchema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}
}
], - "create_time": "string",
- "update_time": "string"
}The authorized payment transaction.
| status | string (Authorization Status) The status for the authorized payment.
| ||||||||||||||
object (authorization_status_details) The details of the authorized payment status. | |||||||||||||||
| id | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The PayPal-generated ID for the authorized payment. | ||||||||||||||
object (amount_with_breakdown) The total order amount with an optional breakdown that provides details, such as the total item amount, total tax amount, shipping, handling, insurance, and discounts, if any. | |||||||||||||||
| invoice_id | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The API caller-provided external invoice number for this order. Appears in both the payer's transaction history and the emails that the payer receives. | ||||||||||||||
| custom_id | string [ 0 .. 255 ] characters ^[\S\s]*$ The API caller-provided external ID. Used to reconcile API caller-initiated transactions with PayPal transactions. Appears in transaction and settlement reports. | ||||||||||||||
object (network_transaction) Reference values used by the card network to identify a transaction. | |||||||||||||||
object (seller_protection) The level of protection offered as defined by PayPal Seller Protection for Merchants. | |||||||||||||||
| expiration_time | string (date_time) [ 20 .. 64 ] characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional. Note: The regular expression provides guidance but does not reject all invalid dates. | ||||||||||||||
Array of objects (Link Description) [ 0 .. 32767 ] items An array of related HATEOAS links. | |||||||||||||||
| create_time | string (date_time) [ 20 .. 64 ] characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional. Note: The regular expression provides guidance but does not reject all invalid dates. | ||||||||||||||
| update_time | string (date_time) [ 20 .. 64 ] characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional. Note: The regular expression provides guidance but does not reject all invalid dates. | ||||||||||||||
object (Payment Supplementary Data) The supplementary data. | |||||||||||||||
object (payee_base) The details for the merchant who receives the funds and fulfills the order. The merchant is also known as the payee. |
{- "status": "CREATED",
- "status_details": {
- "reason": "PENDING_REVIEW"
}, - "id": "string",
- "amount": {
- "currency_code": "str",
- "value": "string",
- "breakdown": {
- "item_total": {
- "currency_code": "str",
- "value": "string"
}, - "shipping": {
- "currency_code": "str",
- "value": "string"
}, - "handling": {
- "currency_code": "str",
- "value": "string"
}, - "tax_total": {
- "currency_code": "str",
- "value": "string"
}, - "insurance": {
- "currency_code": "str",
- "value": "string"
}, - "shipping_discount": {
- "currency_code": "str",
- "value": "string"
}, - "discount": {
- "currency_code": "str",
- "value": "string"
}
}
}, - "invoice_id": "string",
- "custom_id": "string",
- "network_transaction_reference": {
- "id": "stringstr",
- "date": "stri",
- "network": "VISA",
- "acquirer_reference_number": "string"
}, - "seller_protection": {
- "status": "ELIGIBLE",
- "dispute_categories": [
- "ITEM_NOT_RECEIVED"
]
}, - "expiration_time": "string",
- "links": [
- {
- "href": "string",
- "rel": "string",
- "method": "GET",
- "title": "string",
- "mediaType": "string",
- "encType": "application/json",
- "schema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}, - "targetSchema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}
}
], - "create_time": "string",
- "update_time": "string",
- "supplementary_data": {
- "related_ids": {
- "order_id": "string",
- "authorization_id": "string",
- "capture_id": "string"
}
}, - "payee": {
- "email_address": "string",
- "merchant_id": "string"
}
}The status fields and status details for an authorized payment.
| status | string (Authorization Status) The status for the authorized payment.
| ||||||||||||||
object (authorization_status_details) The details of the authorized payment status. |
{- "status": "CREATED",
- "status_details": {
- "reason": "PENDING_REVIEW"
}
}The details of the authorized payment status.
| reason | string (Authorization Incomplete Reason) The reason why the authorized status is
|
{- "reason": "PENDING_REVIEW"
}Configuration details for basic card payment methods including credit and debit card processing capabilities.
| can_be_vaulted | boolean Indicates if the payment method can be saved for future use. |
| supports_installments | boolean Indicates if installment payment option is available. |
| guest_enabled | boolean Indicates if guest checkout is enabled for this payment method. |
| supports_inline_presentation_mode | boolean Indicates if inline presentation mode is supported for this payment method. |
{- "can_be_vaulted": true,
- "supports_installments": true,
- "guest_enabled": true,
- "supports_inline_presentation_mode": true
}Configuration parameters for billing address collection in Google Pay.
| format | string Billing address format.
|
{- "format": "FULL"
}The buyer context for the refund transaction.
| transaction_id | string [ 1 .. 255 ] characters ^[0-9a-zA-Z_-]+$ The PayPal generated transaction ID associated with the buyer's refund. |
| transaction_details_url | string <uri> [ 1 .. 2048 ] characters The URL for the buyer to view the transaction details. |
| transaction_create_time | string (date_time) [ 20 .. 64 ] characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional. Note: The regular expression provides guidance but does not reject all invalid dates. |
| transaction_update_time | string (date_time) [ 20 .. 64 ] characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional. Note: The regular expression provides guidance but does not reject all invalid dates. |
{- "transaction_id": "string",
- "transaction_create_time": "string",
- "transaction_update_time": "string"
}A captured payment.
| status | string (Capture Status) The status of the captured payment.
| ||||||||||||||
object (capture_status_details) The details of the captured payment status. | |||||||||||||||
| id | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The PayPal-generated ID for the captured payment. | ||||||||||||||
object (amount_with_breakdown) The total order amount with an optional breakdown that provides details, such as the total item amount, total tax amount, shipping, handling, insurance, and discounts, if any. | |||||||||||||||
| invoice_id | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The API caller-provided external invoice number for this order. Appears in both the payer's transaction history and the emails that the payer receives. | ||||||||||||||
| custom_id | string [ 0 .. 255 ] characters ^[\S\s]*$ The API caller-provided external ID. Used to reconcile API caller-initiated transactions with PayPal transactions. Appears in transaction and settlement reports. | ||||||||||||||
object (network_transaction) Reference values used by the card network to identify a transaction. | |||||||||||||||
object (seller_protection) The level of protection offered as defined by PayPal Seller Protection for Merchants. | |||||||||||||||
| final_capture | boolean Default: false Indicates whether you can make additional captures against the authorized payment. Set to | ||||||||||||||
object (Seller Receivable Breakdown) The detailed breakdown of the capture activity. This is not available for transactions that are in pending state. | |||||||||||||||
| disbursement_mode | string (disbursement_mode) Default: "INSTANT" The funds that are held on behalf of the merchant.
| ||||||||||||||
Array of objects (Link Description) [ 0 .. 32767 ] items An array of related HATEOAS links. | |||||||||||||||
object (processor_response) The processor response information for payment requests, such as direct credit card transactions. | |||||||||||||||
| create_time | string (date_time) [ 20 .. 64 ] characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional. Note: The regular expression provides guidance but does not reject all invalid dates. | ||||||||||||||
| update_time | string (date_time) [ 20 .. 64 ] characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional. Note: The regular expression provides guidance but does not reject all invalid dates. |
{- "status": "COMPLETED",
- "status_details": {
- "reason": "BUYER_COMPLAINT"
}, - "id": "string",
- "amount": {
- "currency_code": "str",
- "value": "string",
- "breakdown": {
- "item_total": {
- "currency_code": "str",
- "value": "string"
}, - "shipping": {
- "currency_code": "str",
- "value": "string"
}, - "handling": {
- "currency_code": "str",
- "value": "string"
}, - "tax_total": {
- "currency_code": "str",
- "value": "string"
}, - "insurance": {
- "currency_code": "str",
- "value": "string"
}, - "shipping_discount": {
- "currency_code": "str",
- "value": "string"
}, - "discount": {
- "currency_code": "str",
- "value": "string"
}
}
}, - "invoice_id": "string",
- "custom_id": "string",
- "network_transaction_reference": {
- "id": "stringstr",
- "date": "stri",
- "network": "VISA",
- "acquirer_reference_number": "string"
}, - "seller_protection": {
- "status": "ELIGIBLE",
- "dispute_categories": [
- "ITEM_NOT_RECEIVED"
]
}, - "final_capture": false,
- "seller_receivable_breakdown": {
- "gross_amount": {
- "currency_code": "str",
- "value": "string"
}, - "paypal_fee": {
- "currency_code": "str",
- "value": "string"
}, - "paypal_fee_in_receivable_currency": {
- "currency_code": "str",
- "value": "string"
}, - "net_amount": {
- "currency_code": "str",
- "value": "string"
}, - "receivable_amount": {
- "currency_code": "str",
- "value": "string"
}, - "exchange_rate": {
- "source_currency": "string",
- "target_currency": "string",
- "value": "string"
}, - "platform_fees": [
- {
- "amount": {
- "currency_code": "str",
- "value": "string"
}, - "payee": {
- "email_address": "string",
- "merchant_id": "string"
}
}
]
}, - "disbursement_mode": "INSTANT",
- "links": [
- {
- "href": "string",
- "rel": "string",
- "method": "GET",
- "title": "string",
- "mediaType": "string",
- "encType": "application/json",
- "schema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}, - "targetSchema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}
}
], - "processor_response": {
- "avs_code": "A",
- "cvv_code": "E",
- "response_code": "0000",
- "payment_advice_code": "01"
}, - "create_time": "string",
- "update_time": "string"
}The capture identification-related fields. Includes the invoice ID, custom ID, note to payer, and soft descriptor.
| invoice_id | string [ 1 .. 127 ] characters ^.{1,127}$ The API caller-provided external invoice number for this order. Appears in both the payer's transaction history and the emails that the payer receives. |
| note_to_payer | string [ 1 .. 255 ] characters ^.{1,255}$ An informational note about this settlement. Appears in both the payer's transaction history and the emails that the payer receives. |
{- "invoice_id": "string",
- "note_to_payer": "string"
}Captures either a portion or the full authorized amount of an authorized payment.
| invoice_id | string [ 0 .. 127 ] characters ^[\S\s]*$ The API caller-provided external invoice number for this order. Appears in both the payer's transaction history and the emails that the payer receives. |
| note_to_payer | string [ 0 .. 255 ] characters ^[\S\s]*$ An informational note about this settlement. Appears in both the payer's transaction history and the emails that the payer receives. |
object (amount_with_breakdown) The total order amount with an optional breakdown that provides details, such as the total item amount, total tax amount, shipping, handling, insurance, and discounts, if any. | |
| final_capture | boolean Default: false Indicates whether you can make additional captures against the authorized payment. Set to |
object (payment_instruction) Any additional payment instructions to be consider during payment processing. This processing instruction is applicable for Capturing an order or Authorizing an Order. | |
| soft_descriptor | string [ 0 .. 22 ] characters ^[\S\s]*$ The payment descriptor on the payer's account statement. |
{- "invoice_id": "string",
- "note_to_payer": "string",
- "amount": {
- "currency_code": "str",
- "value": "string",
- "breakdown": {
- "item_total": {
- "currency_code": "str",
- "value": "string"
}, - "shipping": {
- "currency_code": "str",
- "value": "string"
}, - "handling": {
- "currency_code": "str",
- "value": "string"
}, - "tax_total": {
- "currency_code": "str",
- "value": "string"
}, - "insurance": {
- "currency_code": "str",
- "value": "string"
}, - "shipping_discount": {
- "currency_code": "str",
- "value": "string"
}, - "discount": {
- "currency_code": "str",
- "value": "string"
}
}
}, - "final_capture": false,
- "payment_instruction": {
- "platform_fees": [
- {
- "amount": {
- "currency_code": "str",
- "value": "string"
}, - "payee": {
- "email_address": "string",
- "merchant_id": "string"
}
}
], - "disbursement_mode": "INSTANT",
- "payee_pricing_tier_id": "string",
- "payee_receivable_fx_rate_id": "string"
}, - "soft_descriptor": "string"
}The status and status details of a captured payment.
| status | string (Capture Status) The status of the captured payment.
| ||||||||||||||
object (capture_status_details) The details of the captured payment status. |
{- "status": "COMPLETED",
- "status_details": {
- "reason": "BUYER_COMPLAINT"
}
}The details of the captured payment status.
| reason | string (Capture Incomplete Reason) The reason why the captured payment status is
|
{- "reason": "BUYER_COMPLAINT"
}A captured payment.
| status | string (Capture Status) The status of the captured payment.
| ||||||||||||||
object (capture_status_details) The details of the captured payment status. | |||||||||||||||
| id | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The PayPal-generated ID for the captured payment. | ||||||||||||||
object (amount_with_breakdown) The total order amount with an optional breakdown that provides details, such as the total item amount, total tax amount, shipping, handling, insurance, and discounts, if any. | |||||||||||||||
| invoice_id | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The API caller-provided external invoice number for this order. Appears in both the payer's transaction history and the emails that the payer receives. | ||||||||||||||
| custom_id | string [ 0 .. 255 ] characters ^[\S\s]*$ The API caller-provided external ID. Used to reconcile API caller-initiated transactions with PayPal transactions. Appears in transaction and settlement reports. | ||||||||||||||
object (network_transaction) Reference values used by the card network to identify a transaction. | |||||||||||||||
object (seller_protection) The level of protection offered as defined by PayPal Seller Protection for Merchants. | |||||||||||||||
| final_capture | boolean Default: false Indicates whether you can make additional captures against the authorized payment. Set to | ||||||||||||||
object (Seller Receivable Breakdown) The detailed breakdown of the capture activity. This is not available for transactions that are in pending state. | |||||||||||||||
| disbursement_mode | string (disbursement_mode) Default: "INSTANT" The funds that are held on behalf of the merchant.
| ||||||||||||||
Array of objects (Link Description) [ 0 .. 32767 ] items An array of related HATEOAS links. | |||||||||||||||
object (processor_response) The processor response information for payment requests, such as direct credit card transactions. | |||||||||||||||
| create_time | string (date_time) [ 20 .. 64 ] characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional. Note: The regular expression provides guidance but does not reject all invalid dates. | ||||||||||||||
| update_time | string (date_time) [ 20 .. 64 ] characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional. Note: The regular expression provides guidance but does not reject all invalid dates. | ||||||||||||||
object (Payment Supplementary Data) The supplementary data. | |||||||||||||||
object (payee_base) The details for the merchant who receives the funds and fulfills the order. The merchant is also known as the payee. |
{- "status": "COMPLETED",
- "status_details": {
- "reason": "BUYER_COMPLAINT"
}, - "id": "string",
- "amount": {
- "currency_code": "str",
- "value": "string",
- "breakdown": {
- "item_total": {
- "currency_code": "str",
- "value": "string"
}, - "shipping": {
- "currency_code": "str",
- "value": "string"
}, - "handling": {
- "currency_code": "str",
- "value": "string"
}, - "tax_total": {
- "currency_code": "str",
- "value": "string"
}, - "insurance": {
- "currency_code": "str",
- "value": "string"
}, - "shipping_discount": {
- "currency_code": "str",
- "value": "string"
}, - "discount": {
- "currency_code": "str",
- "value": "string"
}
}
}, - "invoice_id": "string",
- "custom_id": "string",
- "network_transaction_reference": {
- "id": "stringstr",
- "date": "stri",
- "network": "VISA",
- "acquirer_reference_number": "string"
}, - "seller_protection": {
- "status": "ELIGIBLE",
- "dispute_categories": [
- "ITEM_NOT_RECEIVED"
]
}, - "final_capture": false,
- "seller_receivable_breakdown": {
- "gross_amount": {
- "currency_code": "str",
- "value": "string"
}, - "paypal_fee": {
- "currency_code": "str",
- "value": "string"
}, - "paypal_fee_in_receivable_currency": {
- "currency_code": "str",
- "value": "string"
}, - "net_amount": {
- "currency_code": "str",
- "value": "string"
}, - "receivable_amount": {
- "currency_code": "str",
- "value": "string"
}, - "exchange_rate": {
- "source_currency": "string",
- "target_currency": "string",
- "value": "string"
}, - "platform_fees": [
- {
- "amount": {
- "currency_code": "str",
- "value": "string"
}, - "payee": {
- "email_address": "string",
- "merchant_id": "string"
}
}
]
}, - "disbursement_mode": "INSTANT",
- "links": [
- {
- "href": "string",
- "rel": "string",
- "method": "GET",
- "title": "string",
- "mediaType": "string",
- "encType": "application/json",
- "schema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}, - "targetSchema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}
}
], - "processor_response": {
- "avs_code": "A",
- "cvv_code": "E",
- "response_code": "0000",
- "payment_advice_code": "01"
}, - "create_time": "string",
- "update_time": "string",
- "supplementary_data": {
- "related_ids": {
- "order_id": "string",
- "authorization_id": "string",
- "capture_id": "string"
}
}, - "payee": {
- "email_address": "string",
- "merchant_id": "string"
}
}Configuration for a specific card vendor or network.
| network required | string (card_brand-2) The card brand.
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||
| eligible required | boolean Indicates if the vendor is eligible. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||
| can_be_vaulted required | boolean Indicates if the vendor's payment method can be saved for future use. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||
| branded required | boolean Indicates if the vendor has branded customization. |
{- "network": "AMEX",
- "eligible": true,
- "can_be_vaulted": true,
- "branded": true
}The card network or brand. Applies to credit, debit, gift, and payment cards.
The card network or brand. Applies to credit, debit, gift, and payment cards.
| Enum Value | Description |
|---|---|
| VISA | Visa card. |
| MASTERCARD | Mastercard card. |
| DISCOVER | Discover card. |
| AMEX | American Express card. |
| SOLO | Solo debit card. |
| JCB | Japan Credit Bureau card. |
| STAR | Military Star card. |
| DELTA | Delta Airlines card. |
| SWITCH | Switch credit card. |
| MAESTRO | Maestro credit card. |
| CB_NATIONALE | Carte Bancaire (CB) credit card. |
| CONFIGOGA | Configoga credit card. |
| CONFIDIS | Confidis credit card. |
| ELECTRON | Visa Electron credit card. |
| CETELEM | Cetelem credit card. |
| CHINA_UNION_PAY | China union pay credit card. |
| DINERS | The Diners Club International banking and payment services capability network owned by Discover Financial Services (DFS), one of the most recognized brands in US financial services. |
| ELO | The Brazilian Elo card payment network. |
| HIPER | The Hiper - Ingenico ePayment network. |
| HIPERCARD | The Brazilian Hipercard payment network that's widely accepted in the retail market. |
| RUPAY | The RuPay payment network. |
| GE | The GE Credit Union 3Point card payment network. |
| SYNCHRONY | The Synchrony Financial (SYF) payment network. |
| EFTPOS | The Electronic Fund Transfer At Point of Sale(EFTPOS) Debit card payment network. |
| CARTE_BANCAIRE | The Carte Bancaire payment network. |
| STAR_ACCESS | The Star Access payment network. |
| PULSE | The Pulse payment network. |
| NYCE | The NYCE payment network. |
| ACCEL | The Accel payment network. |
| UNKNOWN | UNKNOWN payment network. |
"VISA"The card brand.
The card brand.
| Enum Value | Description |
|---|---|
| AMEX | The American Express payment network. |
| CB_NATIONALE | Carte Bleue Nationale (CBN), a major debit card payment system operating in France. |
| CETELEM | Cetelem, a brand of BNP Paribas Personal Finance, is a French financial institution specializing in financing individuals consumer credit activities. |
| COFIDIS | Cofidis is a French company, now majority owned by the Crédit Mutuel, based in Villeneuve-d'Ascq, that offers a payment method that allows you to make bank card payments in 3 or 4 times, PayPal payment in 4 times, or one Euro consumer credit. |
| COFINOGA | Cofinoga, a brand of BNP Paribas Personal Finance, is a credit specialist in France. It offers a card that allows you to pay for credit online purchases. |
| CHINA_UNION_PAY | China UnionPay (CUP) or UnionPay International (UPI) is a Chinese financial services corporation headquartered in Shanghai, China. It provides bank card services and a major card scheme in mainland China. |
| DELTA | The Delta Air Lines online payment network. |
| DISCOVER | The Discover Financial Services (DFS) banking and payment services capability network. |
| ELECTRON | The Visa Electron debit card payment network. It's offered by issuing banks in every country with the exception of Canada, Australia, Argentina, Ireland, and the United States. |
| ELO | The Brazilian Elo card payment network. |
| HIPER | The Hiper - Ingenico ePayment network. |
| HIPERCARD | The Brazilian Hipercard payment network that's widely accepted in the retail market. |
| JCB | The Japan Credit Bureau (JCB) card payment network. |
| MAESTRO | The Maestro debit card payment network owned by Mastercard. |
| MASTER_CARD | The Mastercard Incorporated payment network. |
| SOLO | The Hatton National BankFinance's SOLO digital wallet payment network. |
| STAR | The STAR payment network. |
| SWITCH | The Switch payment network. |
| VISA | The Visa Inc. payment network. |
| GE | The GE Credit Union 3Point card payment network. |
| RUPAY | The RuPay payment network. |
| SYNCHRONY | The Synchrony Financial (SYF) payment network. |
| DINERS | The Diners Club International banking and payment services capability network owned by Discover Financial Services (DFS), one of the most recognized brands in US financial services. |
| GIROCARD | Girocard is an interbank network and debit card service connecting virtually all German ATMs and banks. |
| CARNET | Carnet is a fuel card. |
| V_PAY | V Pay is a Single Euro Payments Area (SEPA) debit card for use in Europe, issued by Visa Europe. |
"AMEX"Common response fields for all payment methods.
| can_be_vaulted | boolean Default: false Indicates if the payment method can be vaulted or not. A true value indicates the payment method can be vaulted using our vaults product. If false, vaulting is not currently supported for this payment method. | ||||||||||
| country_code | string (country_code-2) = 2 characters ^([A-Z]{2}|C2)$ The two-character ISO 3166-1 code that identifies the country or region. Note: The country code for Great Britain is | ||||||||||
| product_code | string (Credit Button Eligibility Button Code) The button code corresponding to a particular product or set of products. The values followed are defined by the SDK team.
|
{- "can_be_vaulted": false,
- "country_code": "string",
- "product_code": "CREDIT"
}The two-character ISO 3166-1 code that identifies the country or region.
Note: The country code for Great Britain isGBand notUKas used in the top-level domain names for that country. Use theC2country code for China worldwide for comparable uncontrolled price (CUP) method, bank card, and cross-border transactions.
The two-character ISO 3166-1 code that identifies the country or region.
Note: The country code for Great Britain isGBand notUKas used in the top-level domain names for that country. Use theC2country code for China worldwide for comparable uncontrolled price (CUP) method, bank card, and cross-border transactions.
"st"The button code corresponding to a particular product or set of products. The values followed are defined by the SDK team.
The button code corresponding to a particular product or set of products. The values followed are defined by the SDK team.
| Enum Value | Description |
|---|---|
| CREDIT | Open ended credit products. |
| PAYLATER | Pay Later suite of products. |
| PAY_IN_3 | Pay In 3 suite of products. |
| PAY_IN_4 | Pay In 4 suite of products. |
"CREDIT"The three-character ISO-4217 currency code that identifies the currency.
The three-character ISO-4217 currency code that identifies the currency.
"str"Customer who is making a purchase from the merchant/partner.
| country_code | string (country_code-2) = 2 characters ^([A-Z]{2}|C2)$ The two-character ISO 3166-1 code that identifies the country or region. Note: The country code for Great Britain is |
object (Customer Channel) Channel through which the request is being posted. | |
string (email_address) [ 3 .. 254 ] characters ^(?:[A-Za-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[A-Za... The internationalized email address. Note: Up to 64 characters are allowed before and 255 characters are allowed after the | |
object (Phone) The phone number in its canonical international E.164 numbering plan format. |
{- "country_code": "string",
- "channel": {
- "browser_type": "string",
- "client_os": "string",
- "device_type": "string"
}, - "email": "string",
- "phone": {
- "country_code": "str",
- "national_number": "string",
- "extension_number": "string"
}
}Channel through which the request is being posted.
| browser_type | string [ 1 .. 30 ] characters ^[0-9a-zA-Z_,. -]+$ The browser used by the customer. Example: Safari, Chrome, etc. |
| client_os | string [ 1 .. 30 ] characters ^[0-9a-zA-Z_,. -]+$ The operating system on the device used by the customer. Example: iOS 16.5, Android 30, etc. |
| device_type | string [ 1 .. 30 ] characters ^[0-9a-zA-Z_,. -]+$ The type of device used by the customer. Example: Mobile, Desktop, Tablet, etc. |
{- "browser_type": "string",
- "client_os": "string",
- "device_type": "string"
}The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional.
Note: The regular expression provides guidance but does not reject all invalid dates.
The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional.
Note: The regular expression provides guidance but does not reject all invalid dates.
"stringstringstringst"The funds that are held on behalf of the merchant.
The funds that are held on behalf of the merchant.
| Enum Value | Description |
|---|---|
| INSTANT | The funds are released to the merchant immediately. |
| DELAYED | The funds are held for a finite number of days. The actual duration depends on the region and type of integration. You can release the funds through a referenced payout. Otherwise, the funds disbursed automatically after the specified duration. |
"INSTANT"The discount amount and currency code. For list of supported currencies and decimal precision, see the PayPal REST APIs Currency Codes.
| currency_code required | string (currency_code) = 3 characters ^[\S\s]*$ The three-character ISO-4217 currency code that identifies the currency. |
| value required | string [ 0 .. 32 ] characters ^((-?[0-9]+)|(-?([0-9]+)?[.][0-9]+))$ The value, which might be:
|
{- "currency_code": "str",
- "value": "string"
}Response for ApplePay.
| can_be_vaulted | boolean Default: false Indicates if the payment method can be vaulted or not. A true value indicates the payment method can be vaulted using our vaults product. If false, vaulting is not currently supported for this payment method. | ||||||||||
| country_code | string (country_code-2) = 2 characters ^([A-Z]{2}|C2)$ The two-character ISO 3166-1 code that identifies the country or region. Note: The country code for Great Britain is | ||||||||||
| product_code | string (Credit Button Eligibility Button Code) The button code corresponding to a particular product or set of products. The values followed are defined by the SDK team.
| ||||||||||
object (Apple Pay Config) Configuration details for Apple Pay payment method. |
{- "can_be_vaulted": false,
- "country_code": "string",
- "product_code": "CREDIT",
- "config": {
- "eligible": true,
- "merchant_country": "string",
- "supported_networks": [
- "MASTERCARD"
], - "merchant_capabilities": [
- "SUPPORTS_CREDIT"
],
}
}Response for GooglePay.
| can_be_vaulted | boolean Default: false Indicates if the payment method can be vaulted or not. A true value indicates the payment method can be vaulted using our vaults product. If false, vaulting is not currently supported for this payment method. | ||||||||||
| country_code | string (country_code-2) = 2 characters ^([A-Z]{2}|C2)$ The two-character ISO 3166-1 code that identifies the country or region. Note: The country code for Great Britain is | ||||||||||
| product_code | string (Credit Button Eligibility Button Code) The button code corresponding to a particular product or set of products. The values followed are defined by the SDK team.
| ||||||||||
object (Google Pay Config) Configuration details for Google Pay payment method. |
{- "can_be_vaulted": false,
- "country_code": "string",
- "product_code": "CREDIT",
- "config": {
- "eligible": true,
- "merchant_country": "string",
- "api_version": 1,
- "api_version_minor": 1,
- "allowed_payment_methods": [
- {
- "type": "CARD",
- "parameters": {
- "allowed_auth_methods": [
- "PAN_ONLY"
], - "supported_networks": [
- "MASTERCARD"
], - "billing_address_required": true,
- "assurance_details_required": true,
- "billing_address_parameters": {
- "format": "FULL"
}
}, - "tokenization_specification": {
- "type": "PAYMENT_GATEWAY",
- "parameters": {
- "gateway": "string",
- "gateway_merchant_id": "string"
}
}
}
], - "merchant_info": {
- "merchant_origin": "string",
- "merchant_id": "string",
- "googlepay_partner_domain_verification_jwt": "stringstri"
}
}
}Purchase unit for payment eligibility.
object (amount_with_breakdown) The total order amount with an optional breakdown that provides details, such as the total item amount, total tax amount, shipping, handling, insurance, and discounts, if any. | |
object (payee) The merchant who receives the funds and fulfills the order. The merchant is also known as the payee. |
{- "amount": {
- "currency_code": "str",
- "value": "string",
- "breakdown": {
- "item_total": {
- "currency_code": "str",
- "value": "string"
}, - "shipping": {
- "currency_code": "str",
- "value": "string"
}, - "handling": {
- "currency_code": "str",
- "value": "string"
}, - "tax_total": {
- "currency_code": "str",
- "value": "string"
}, - "insurance": {
- "currency_code": "str",
- "value": "string"
}, - "shipping_discount": {
- "currency_code": "str",
- "value": "string"
}, - "discount": {
- "currency_code": "str",
- "value": "string"
}
}
}, - "payee": {
- "email_address": "string",
- "merchant_id": "string"
}
}The internationalized email address.
Note: Up to 64 characters are allowed before and 255 characters are allowed after the@sign. However, the generally accepted maximum length for an email address is 254 characters. The pattern verifies that an unquoted@sign exists.
The internationalized email address.
Note: Up to 64 characters are allowed before and 255 characters are allowed after the@sign. However, the generally accepted maximum length for an email address is 254 characters. The pattern verifies that an unquoted@sign exists.
"string"The internationalized email address.
Note: Up to 64 characters are allowed before and 255 characters are allowed after the@sign. However, the generally accepted maximum length for an email address is 254 characters. The pattern verifies that an unquoted@sign exists.
The internationalized email address.
Note: Up to 64 characters are allowed before and 255 characters are allowed after the@sign. However, the generally accepted maximum length for an email address is 254 characters. The pattern verifies that an unquoted@sign exists.
"string"The error details.
| name required | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The human-readable, unique name of the error. |
| message required | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The message that describes the error. |
| debug_id required | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The PayPal internal ID. Used for correlation purposes. |
Array of objects (Error Details) [ 0 .. 32767 ] items An array of additional details about the error. | |
Array of objects (Link Description) [ 0 .. 32767 ] items An array of request-related HATEOAS links. |
{- "name": "string",
- "message": "string",
- "debug_id": "string",
- "details": [
- {
- "field": "string",
- "value": "string",
- "location": "body",
- "issue": "string",
- "links": [
- {
- "href": "string",
- "rel": "string",
- "method": "GET",
- "title": "string",
- "mediaType": "string",
- "encType": "application/json",
- "schema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}, - "targetSchema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}
}
], - "description": "string"
}
], - "links": [
- {
- "href": "string",
- "rel": "string",
- "method": "GET",
- "title": "string",
- "mediaType": "string",
- "encType": "application/json",
- "schema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}, - "targetSchema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}
}
]
}The error details. Required for client-side 4XX errors.
| field | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The field that caused the error. If this field is in the body, set this value to the field's JSON pointer value. Required for client-side errors. |
| value | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The value of the field that caused the error. |
| location | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ Default: "body" The location of the field that caused the error. Value is |
| issue required | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The unique, fine-grained application-level error code. |
Array of objects (Link Description) [ 1 .. 4 ] items An array of request-related HATEOAS links that are either relevant to the issue by providing additional information or offering potential resolutions. | |
| description | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The human-readable description for an issue. The description can change over the lifetime of an API, so clients must not depend on this value. |
{- "field": "string",
- "value": "string",
- "location": "body",
- "issue": "string",
- "links": [
- {
- "href": "string",
- "rel": "string",
- "method": "GET",
- "title": "string",
- "mediaType": "string",
- "encType": "application/json",
- "schema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}, - "targetSchema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}
}
], - "description": "string"
}The exchange rate that determines the amount to convert from one currency to another currency.
| source_currency | string (currency_code) = 3 characters ^[\S\s]*$ The three-character ISO-4217 currency code that identifies the currency. |
| target_currency | string (currency_code) = 3 characters ^[\S\s]*$ The three-character ISO-4217 currency code that identifies the currency. |
| value | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The target currency amount. Equivalent to one unit of the source currency. Formatted as integer or decimal value with one to 15 digits to the right of the decimal point. |
{- "source_currency": "string",
- "target_currency": "string",
- "value": "string"
}Request to get list of eligible payment methods.
object (Customer) Customer who is making a purchase from the merchant/partner. | |
Array of objects (eligibility_purchase_unit_request) [ 1 .. 10 ] items Array of purchase units. | |
object (Preferences) Preferences of merchant/partner consuming the API. |
{- "customer": {
- "country_code": "string",
- "channel": {
- "browser_type": "string",
- "client_os": "string",
- "device_type": "string"
}, - "email": "string",
- "phone": {
- "country_code": "str",
- "national_number": "string",
- "extension_number": "string"
}
}, - "purchase_units": [
- {
- "amount": {
- "currency_code": "str",
- "value": "string",
- "breakdown": {
- "item_total": {
- "currency_code": "str",
- "value": "string"
}, - "shipping": {
- "currency_code": "str",
- "value": "string"
}, - "handling": {
- "currency_code": "str",
- "value": "string"
}, - "tax_total": {
- "currency_code": "str",
- "value": "string"
}, - "insurance": {
- "currency_code": "str",
- "value": "string"
}, - "shipping_discount": {
- "currency_code": "str",
- "value": "string"
}, - "discount": {
- "currency_code": "str",
- "value": "string"
}
}
}, - "payee": {
- "email_address": "string",
- "merchant_id": "string"
}
}
], - "preferences": {
- "payment_flow": "ONE_TIME_PAYMENT",
- "intent": "CAPTURE",
- "include_account_details": "false",
- "include_vault_tokens": "false",
- "vault": "false",
- "payment_source_constraint": {
- "constraint_type": "INCLUDE",
- "payment_sources": [
- "PAYPAL"
]
}
}
}Configuration details for Google Pay payment method.
| eligible | boolean Indicates if Google Pay is eligible. |
| merchant_country | string (country_code-2) = 2 characters ^([A-Z]{2}|C2)$ The two-character ISO 3166-1 code that identifies the country or region. Note: The country code for Great Britain is |
| api_version | integer [ 1 .. 10 ] Google Pay API version. |
| api_version_minor | integer [ 1 .. 10 ] Google Pay API minor version. |
Array of objects (Payment Method) [ 1 .. 10 ] items Allowed payment methods for Google Pay. | |
object (Merchant Information) Merchant-specific information required for Google Pay integration. |
{- "eligible": true,
- "merchant_country": "string",
- "api_version": 1,
- "api_version_minor": 1,
- "allowed_payment_methods": [
- {
- "type": "CARD",
- "parameters": {
- "allowed_auth_methods": [
- "PAN_ONLY"
], - "supported_networks": [
- "MASTERCARD"
], - "billing_address_required": true,
- "assurance_details_required": true,
- "billing_address_parameters": {
- "format": "FULL"
}
}, - "tokenization_specification": {
- "type": "PAYMENT_GATEWAY",
- "parameters": {
- "gateway": "string",
- "gateway_merchant_id": "string"
}
}
}
], - "merchant_info": {
- "merchant_origin": "string",
- "merchant_id": "string",
- "googlepay_partner_domain_verification_jwt": "stringstri"
}
}A Globally Unique Identifier (GUID) value.
A Globally Unique Identifier (GUID) value.
"string"The request-related HATEOAS link information.
| href required | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The complete target URL. To make the related call, combine the method with this URI Template-formatted link. For pre-processing, include the | ||||||||||||||||||
| rel required | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The link relation type, which serves as an ID for a link that unambiguously describes the semantics of the link. See Link Relations. | ||||||||||||||||||
| method | string The HTTP method required to make the related call.
| ||||||||||||||||||
| title | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The link title. | ||||||||||||||||||
| mediaType | string (media_type) [ 0 .. 2147483647 ] characters ^[\S\s]*$ The media type, as defined by RFC 2046. Describes the link target. | ||||||||||||||||||
| encType | string (enc_type) [ 0 .. 2147483647 ] characters ^[\S\s]*$ Default: "application/json" The media type in which to submit the request data. | ||||||||||||||||||
object (Link Schema) The request data or link target. | |||||||||||||||||||
object (Link Schema) The request data or link target. |
{- "href": "string",
- "rel": "string",
- "method": "GET",
- "title": "string",
- "mediaType": "string",
- "encType": "application/json",
- "schema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}, - "targetSchema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}
}The request-related HATEOAS link information.
| href required | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The complete target URL. To make the related call, combine the method with this URI Template-formatted link. For pre-processing, include the | ||||||||||||||||||
| rel required | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The link relation type, which serves as an ID for a link that unambiguously describes the semantics of the link. See Link Relations. | ||||||||||||||||||
| method | string The HTTP method required to make the related call.
| ||||||||||||||||||
| title | string [ 0 .. 2147483647 ] characters ^[\S\s]*$ The link title. | ||||||||||||||||||
| mediaType | string (media_type) [ 0 .. 2147483647 ] characters ^[\S\s]*$ The media type, as defined by RFC 2046. Describes the link target. | ||||||||||||||||||
| encType | string (enc_type) [ 0 .. 2147483647 ] characters ^[\S\s]*$ Default: "application/json" The media type in which to submit the request data. | ||||||||||||||||||
object (Link Schema) The request data or link target. | |||||||||||||||||||
object (Link Schema) The request data or link target. |
{- "href": "string",
- "rel": "string",
- "method": "GET",
- "title": "string",
- "mediaType": "string",
- "encType": "application/json",
- "schema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}, - "targetSchema": {
- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}
}The request data or link target.
| additionalItems | object (additional_items) Any additional items. |
| dependencies | object (Dependencies) The dependencies. |
| items | object (Items) An item. |
| definitions | object (Definitions) Definitions. |
| patternProperties | object (pattern_properties) The pattern properties. |
| properties | object (Properties) The properties. |
| allOf | Array of objects (all_of) [ 0 .. 32767 ] items An array of sub-schemas. The data must validate against all sub-schemas. |
| anyOf | Array of objects (any_of) [ 0 .. 32767 ] items An array of sub-schemas. The data must validate against one or more sub-schemas. |
| oneOf | Array of objects (one_of) [ 0 .. 32767 ] items An array of sub-schemas. The data must validate against one sub-schema. |
| not | object (Not) Not. |
| links | Array of objects (link) [ 0 .. 32767 ] items An array of links. |
| fragmentResolution | string (fragment_resolution) [ 0 .. 2147483647 ] characters ^[\S\s]*$ The fragment resolution. |
object (Media) The media type and context-encoding scheme. | |
| pathStart | string <uri> (path_start) [ 0 .. 2147483647 ] characters To apply this schema to the instances' URIs, start the URIs with this value. |
{- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}The request data or link target.
| additionalItems | object (additional_items) Any additional items. |
| dependencies | object (Dependencies) Any Dependencies. |
| items | object (Items) An item. |
| definitions | object (Definitions) Definitions. |
| patternProperties | object (pattern_properties) The pattern properties. |
| properties | object (Properties) Properties. |
| allOf | Array of objects (all_of) [ 0 .. 32767 ] items An array of sub-schemas. The data must validate against all sub-schemas. |
| anyOf | Array of objects (any_of) [ 0 .. 32767 ] items An array of sub-schemas. The data must validate against one or more sub-schemas. |
| oneOf | Array of objects (one_of) [ 0 .. 32767 ] items An array of sub-schemas. The data must validate against one sub-schema. |
| not | object (Not) Not. |
| links | Array of objects (link) [ 0 .. 32767 ] items An array of links. |
| fragmentResolution | string (fragment_resolution) [ 0 .. 2147483647 ] characters ^[\S\s]*$ The fragment resolution. |
object (Media) The media type and context-encoding scheme. | |
| pathStart | string <uri> (path_start) [ 0 .. 2147483647 ] characters To apply this schema to the instances' URIs, start the URIs with this value. |
{- "additionalItems": { },
- "dependencies": { },
- "items": { },
- "definitions": { },
- "patternProperties": { },
- "properties": { },
- "allOf": [
- { }
], - "anyOf": [
- { }
], - "oneOf": [
- { }
], - "not": { },
- "links": [
- { }
], - "fragmentResolution": "string",
- "media": {
- "type": "string",
- "binaryEncoding": "string"
},
}Merchant-specific information required for Google Pay integration.
| merchant_origin | string [ 4 .. 253 ] characters ^[a-zA-Z0-9.-]+$ Merchant origin. |
| merchant_id | string (PayPal Account Identifier) = 13 characters ^[2-9A-HJ-NP-Z]{13}$ The account identifier for a PayPal account. |
| googlepay_partner_domain_verification_jwt | string [ 10 .. 2000 ] characters ^[A-Za-z0-9_.-]+$ JWT token used for Google Pay partner domain verification to authenticate the merchant's domain. |
{- "merchant_origin": "string",
- "merchant_id": "string",
- "googlepay_partner_domain_verification_jwt": "stringstri"
}The currency and amount for a financial transaction, such as a balance or payment due.
| currency_code required | string (currency_code) = 3 characters ^[\S\s]*$ The three-character ISO-4217 currency code that identifies the currency. |
| value required | string [ 0 .. 32 ] characters ^((-?[0-9]+)|(-?([0-9]+)?[.][0-9]+))$ The value, which might be:
|
{- "currency_code": "str",
- "value": "string"
}The net amount. Returned when the currency of the refund is different from the currency of the PayPal account where the merchant holds their funds.
object (Money) The currency and amount for a financial transaction, such as a balance or payment due. | |
object (Money) The currency and amount for a financial transaction, such as a balance or payment due. | |
object (exchange_rate) The exchange rate that determines the amount to convert from one currency to another currency. |
{- "payable_amount": {
- "currency_code": "str",
- "value": "string"
}, - "converted_amount": {
- "currency_code": "str",
- "value": "string"
}, - "exchange_rate": {
- "source_currency": "string",
- "target_currency": "string",
- "value": "string"
}
}Reference values used by the card network to identify a transaction.
| id | string [ 9 .. 36 ] characters ^[a-zA-Z0-9-_@.:&+=*^'~#!$%()]+$ Transaction reference id returned by the scheme. For Visa and Amex, this is the "Tran id" field in response. For MasterCard, this is the "BankNet reference id" field in response. For Discover, this is the "NRID" field in response. The pattern we expect for this field from Visa/Amex/CB/Discover is numeric, Mastercard/BNPP is alphanumeric and Paysecure is alphanumeric with special character -. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| date | string = 4 characters ^[0-9]+$ The date that the transaction was authorized by the scheme. This field may not be returned for all networks. MasterCard refers to this field as "BankNet reference date". For some specific networks, such as MasterCard and Discover, this date field is mandatory when the | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| network | string (card_brand) The card network or brand. Applies to credit, debit, gift, and payment cards.
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| acquirer_reference_number | string [ 1 .. 36 ] characters ^[a-zA-Z0-9]+$ Reference ID issued for the card transaction. This ID can be used to track the transaction across processors, card brands and issuing banks. |
{- "id": "stringstr",
- "date": "stri",
- "network": "VISA",
- "acquirer_reference_number": "string"
}The merchant who receives the funds and fulfills the order. The merchant is also known as the payee.
| email_address | string (email) [ 3 .. 254 ] characters ^.*(?:[a-zA-Z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[a-... The internationalized email address. Note: Up to 64 characters are allowed before and 255 characters are allowed after the |
| merchant_id | string (PayPal Account Identifier) = 13 characters ^[2-9A-HJ-NP-Z]{13}$ The account identifier for a PayPal account. |
{- "email_address": "string",
- "merchant_id": "string"
}The details for the merchant who receives the funds and fulfills the order. The merchant is also known as the payee.
| email_address | string (email) [ 3 .. 254 ] characters ^.*(?:[a-zA-Z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[a-... The internationalized email address. Note: Up to 64 characters are allowed before and 255 characters are allowed after the |
| merchant_id | string (PayPal Account Identifier) = 13 characters ^[2-9A-HJ-NP-Z]{13}$ The account identifier for a PayPal account. |
{- "email_address": "string",
- "merchant_id": "string"
}Configuration for a specific payment method supported by Google Pay.
| type | string Type of payment method.
| ||||
object (Payment Method Parameters) Parameters specific to the payment method configuration. | |||||
object (Tokenization Specification) Specification for payment method tokenization in Google Pay. |
{- "type": "CARD",
- "parameters": {
- "allowed_auth_methods": [
- "PAN_ONLY"
], - "supported_networks": [
- "MASTERCARD"
], - "billing_address_required": true,
- "assurance_details_required": true,
- "billing_address_parameters": {
- "format": "FULL"
}
}, - "tokenization_specification": {
- "type": "PAYMENT_GATEWAY",
- "parameters": {
- "gateway": "string",
- "gateway_merchant_id": "string"
}
}
}Parameters specific to the payment method configuration.
| allowed_auth_methods | Array of strings [ 1 .. 100 ] items Allowed authentication methods.
| ||||||||||
| supported_networks | Array of strings [ 1 .. 100 ] items Allowed card networks.
| ||||||||||
| billing_address_required | boolean Whether billing address is required. | ||||||||||
| assurance_details_required | boolean Whether assurance details are required. | ||||||||||
object (Billing Address Parameters) Configuration parameters for billing address collection in Google Pay. |
{- "allowed_auth_methods": [
- "PAN_ONLY"
], - "supported_networks": [
- "MASTERCARD"
], - "billing_address_required": true,
- "assurance_details_required": true,
- "billing_address_parameters": {
- "format": "FULL"
}
}List of payment methods.
object (Response for PayPal) Response for PayPal. | |
object (Response for Venmo) Response for Venmo. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Eligibility Response for ApplePay) Response for ApplePay. | |
object (Eligibility Response for GooglePay) Response for GooglePay. | |
object (Advanced Cards Config) Configuration details for advanced card payment methods including credit and debit card processing capabilities. | |
object (Basic Cards Config) Configuration details for basic card payment methods including credit and debit card processing capabilities. | |
object (Response for ACH) Response for ACH payment method. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
object (Common response fields) Common response fields for all payment methods. | |
[...]
